Subject: [Fwd: Implicit make woes] Solved
From: [email-masked] (Allan Peda)

28 Nov 1998 21:32:50 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed;
 boundary="------------67C65E58F32CE223A92D09E0"
To: cygwin <[email-masked]>

This is a multi-part message in MIME format.
--------------67C65E58F32CE223A92D09E0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

I solved my own problem by reading the gcc man pages at
http://www.tec.ualberta.ca/Documentation/Info/by-chapter/gcc-2.8.0/gcc/gcc_toc.html

This actually refers to the "RE: Where to install cygwin..." posted at
http://www.egroups.com/list/gnu-win32/md1238679643.html

I think the FAQ should include the advice in the egroups cited mail message
_plus_
a note that the envir variables includes should be set to follow this:

export C_INCLUDE_PATH=/usr/local/include
export LIBRARY_PATH=/usr/local/lib

If the directories are mounted to those locations

Allan Peda wrote:

> Obviously something is set wrong ($INCLUDE or similiar), but the more I
> fuss with this the worse it gets.  Explicit compiling is fine:
>
> bash-2.02$ gcc hello.c -o hello.exe
> bash-2.02$ ./hello
> hello GNUish world!
>
> But an implicit make (single source, no makefile) yields:
>
> bash-2.02$ rm hello.exe
> bash-2.02$ make hello
> /bin/gcc.exe     hello.c   -o hello
> hello.c:1: No include path in which to find stdio.h
> make: *** [hello] Error 1
> bash-2.02$
>
> I tried moving stdio.h to /usr/include, but that just changed the
> error.  I will probably reinstall, but I'd like to know why make should
> foul up a simple compile.
>
> Allan

--------------67C65E58F32CE223A92D09E0
Content-Type: text/x-vcard; charset=us-ascii;
 name="allan.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Allan Peda
Content-Disposition: attachment;
 filename="allan.vcf"

begin:vcard 
n:Peda;Allan
tel;work:718-243-1721
x-mozilla-html:FALSE
adr:;;;;;;
version:2.1
email;internet:[email-masked]
fn:Allan Peda
end:vcard

--------------67C65E58F32CE223A92D09E0--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".